Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.user
Class AnonymousUserInformation

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.user.UserInformation
              fr.gouv.culture.sdx.user.AnonymousUserInformation

All Implemented Interfaces:
  Describable, Encodable, Identifiable, Localizable, SdxObject, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLizable

    public class AnonymousUserInformation

extends UserInformation

An anonymous SDX user.

The information for this user will be sent directly and not from an XML document.

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary

Fields inherited from class fr.gouv.culture.sdx.user.UserInformation
`ANONYMOUS_USERNAME, CLASS_NAME_SUFFIX, host, ip, SESSION_PROPERTY`

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`AnonymousUserInformation(java.util.Locale locale)` Creates an anonymous user with a preferred locale.

Method Summary
`void` | `toSAX(org.xml.sax.ContentHandler handler)` Sends information about this anonymous user.

Methods inherited from class fr.gouv.culture.sdx.user.UserInformation
`getAppId, getClassNameSuffix, getEmail, getFirstname, getGroups, getHost, getIp, getLastname, getPreferredLocale, initToSax, initVolatileObjectsToSax, isAdmin, isMember, isMember, isMember, isSuperuser, setEmail, setFirstname, setGroups, setHost, setIp, setLastname, setPreferredLocale, setUp`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configure, configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnonymousUserInformation

    public AnonymousUserInformation(java.util.Locale locale)
                             throws SDXException

  Creates an anonymous user with a preferred locale.

  Parameters:
    `locale` - The preferred locale.
  Throws:
    `SDXException`

Method Detail

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException

  Sends information about this anonymous user.

  The information sent is basically a user definition with an anonymous property set to true.

  Specified by:
    `toSAX` in interface `org.apache.excalibur.xml.sax.XMLizable`
  Overrides:
    `toSAX` in class `UserInformation`
  Parameters:
    `handler` - The handler where to send events.
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.